Class JRJdbcQueryExecuterFactory
- java.lang.Object
-
- net.sf.jasperreports.engine.query.AbstractQueryExecuterFactory
-
- net.sf.jasperreports.engine.query.JRJdbcQueryExecuterFactory
-
- All Implemented Interfaces:
JRQueryExecuterFactory,QueryExecuterFactory,Designated
- Direct Known Subclasses:
PlSqlQueryExecuterFactory
public class JRJdbcQueryExecuterFactory extends AbstractQueryExecuterFactory implements Designated
Query executer factory for SQL queries. This factory creates JDBC query executers for SQL queries.- Author:
- Lucian Chirita (lucianc@users.sourceforge.net)
- See Also:
JRJdbcQueryExecuter
-
-
Field Summary
Fields Modifier and Type Field Description static java.lang.StringPROPERTY_CACHED_ROWSETFlag property specifying if data will be stored in a cached rowset.static java.lang.StringPROPERTY_FIELDS_TIME_ZONEstatic java.lang.StringPROPERTY_JDBC_CONCURRENCYProperty specifying the ResultSet concurrency.static java.lang.StringPROPERTY_JDBC_FETCH_SIZEProperty specifying the ResultSet fetch size.static java.lang.StringPROPERTY_JDBC_HOLDABILITYProperty specifying the ResultSet holdability.static java.lang.StringPROPERTY_JDBC_MAX_FIELD_SIZEProperty specifying the statement max field size.static java.lang.StringPROPERTY_JDBC_QUERY_TIMEOUTProperty specifying the statement query timeout value (in seconds).static java.lang.StringPROPERTY_JDBC_RESULT_SET_TYPEProperty specifying the ResultSet type.static java.lang.StringPROPERTY_PARAMETERS_TIME_ZONEstatic java.lang.StringPROPERTY_TIME_ZONEProperty specifying the default time zone to be used for sending and retrieving date/time values to and from the database.static java.lang.StringQUERY_EXECUTER_NAMEstatic java.lang.StringQUERY_LANGUAGE_SQLSQL query language.-
Fields inherited from interface net.sf.jasperreports.engine.query.QueryExecuterFactory
QUERY_EXECUTER_FACTORY_PREFIX
-
-
Constructor Summary
Constructors Constructor Description JRJdbcQueryExecuterFactory()
-
Method Summary
All Methods Instance Methods Concrete Methods Modifier and Type Method Description JRQueryExecutercreateQueryExecuter(JasperReportsContext jasperReportsContext, JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parameters)Creates a query executer.java.lang.Object[]getBuiltinParameters()Returns the built-in parameters associated with this query type.java.lang.StringgetDesignation()booleansupportsQueryParameterType(java.lang.String className)Decides whether the query executers created by this factory support a query parameter type.-
Methods inherited from class net.sf.jasperreports.engine.query.AbstractQueryExecuterFactory
createQueryExecuter
-
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
-
Methods inherited from interface net.sf.jasperreports.engine.query.QueryExecuterFactory
createQueryExecuter
-
-
-
-
Field Detail
-
QUERY_EXECUTER_NAME
public static final java.lang.String QUERY_EXECUTER_NAME
- See Also:
- Constant Field Values
-
PROPERTY_JDBC_FETCH_SIZE
public static final java.lang.String PROPERTY_JDBC_FETCH_SIZE
Property specifying the ResultSet fetch size.- See Also:
- Constant Field Values
-
PROPERTY_JDBC_RESULT_SET_TYPE
public static final java.lang.String PROPERTY_JDBC_RESULT_SET_TYPE
Property specifying the ResultSet type.- See Also:
- Constant Field Values
-
PROPERTY_JDBC_CONCURRENCY
public static final java.lang.String PROPERTY_JDBC_CONCURRENCY
Property specifying the ResultSet concurrency.- See Also:
- Constant Field Values
-
PROPERTY_JDBC_HOLDABILITY
public static final java.lang.String PROPERTY_JDBC_HOLDABILITY
Property specifying the ResultSet holdability.- See Also:
- Constant Field Values
-
PROPERTY_JDBC_MAX_FIELD_SIZE
public static final java.lang.String PROPERTY_JDBC_MAX_FIELD_SIZE
Property specifying the statement max field size.- See Also:
- Constant Field Values
-
PROPERTY_JDBC_QUERY_TIMEOUT
public static final java.lang.String PROPERTY_JDBC_QUERY_TIMEOUT
Property specifying the statement query timeout value (in seconds).- See Also:
- Constant Field Values
-
PROPERTY_CACHED_ROWSET
public static final java.lang.String PROPERTY_CACHED_ROWSET
Flag property specifying if data will be stored in a cached rowset.- See Also:
- Constant Field Values
-
PROPERTY_TIME_ZONE
public static final java.lang.String PROPERTY_TIME_ZONE
Property specifying the default time zone to be used for sending and retrieving date/time values to and from the database.The property can be set globally, at dataset level, at parameter and field levels, and as a report/dataset parameter. Note that sending a value as parameter will override all properties, and the time zone will be used for all date/time parameters and fields in the report.
The property value can be a time zone ID or REPORT_TIME_ZONE. In the latter case the report time zone (as in
JRParameter.REPORT_TIME_ZONE) will be used.
-
PROPERTY_PARAMETERS_TIME_ZONE
public static final java.lang.String PROPERTY_PARAMETERS_TIME_ZONE
- See Also:
- Constant Field Values
-
PROPERTY_FIELDS_TIME_ZONE
public static final java.lang.String PROPERTY_FIELDS_TIME_ZONE
- See Also:
- Constant Field Values
-
QUERY_LANGUAGE_SQL
public static final java.lang.String QUERY_LANGUAGE_SQL
SQL query language.- See Also:
- Constant Field Values
-
-
Method Detail
-
createQueryExecuter
public JRQueryExecuter createQueryExecuter(JasperReportsContext jasperReportsContext, JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parameters) throws JRException
Description copied from interface:QueryExecuterFactoryCreates a query executer. This method is called at fill time for reports/datasets having a query supported by this factory.- Specified by:
createQueryExecuterin interfaceQueryExecuterFactory- Parameters:
jasperReportsContext- the JasperReportsContextdataset- the dataset containing the query, fields, etcparameters- map of value parameters (instances ofJRValueParameter) indexed by name- Returns:
- a query executer
- Throws:
JRException
-
getBuiltinParameters
public java.lang.Object[] getBuiltinParameters()
Description copied from interface:QueryExecuterFactoryReturns the built-in parameters associated with this query type. These parameters will be created as system-defined parameters for each report/dataset having a query of this type. The returned array should contain consecutive pairs of parameter names and parameter classes (e.g.{"Param1", String.class, "Param2", "List.class"}).- Specified by:
getBuiltinParametersin interfaceJRQueryExecuterFactory- Specified by:
getBuiltinParametersin interfaceQueryExecuterFactory- Returns:
- array of built-in parameter names and types associated with this query type
-
supportsQueryParameterType
public boolean supportsQueryParameterType(java.lang.String className)
Description copied from interface:QueryExecuterFactoryDecides whether the query executers created by this factory support a query parameter type. This check is performed for all $P{..} parameters in the query.- Specified by:
supportsQueryParameterTypein interfaceJRQueryExecuterFactory- Specified by:
supportsQueryParameterTypein interfaceQueryExecuterFactory- Parameters:
className- the value class name of the parameter- Returns:
- whether the parameter value type is supported
-
getDesignation
public java.lang.String getDesignation()
- Specified by:
getDesignationin interfaceDesignated
-
-